Qt 5.13 | Qt Widgets | C++ Classes | ExtraSelection

Qt 5.13.2 Reference Documentation

# ExtraSelection Struct

Struct ExtraSelection is declared in class QTextEdit.

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document. More...

This struct was introduced in Qt 4.2.

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

## Member Variable Documentation

### QTextCursor ExtraSelection::cursor

A cursor that contains a selection in a QTextDocument

### QTextCharFormat ExtraSelection::format

A format that is used to specify a foreground or background brush/color for the selection.